package soln;

import helper.CargoContainer;

/**
 * Name: Last Name, First Name
 * 
 * Student Number: xxxxxxxxx
 * 
 * Declaration: I hereby assert that this application was written by me. I
 * understand that it is a violation of the Senate Policy on Academic Honesty
 * for me to submit someone else's work without identifying it as such and that
 * this is a form of cheating. I also understand that if it is discovered that I
 * have committed a breach of Academic Honesty for cheating or any other charge,
 * then the full extent of available penalties may be brought against me.
 * 
 */
public class Check08U {

	public static void main(String[] args) {
		// Step 1a. Declare a variable called boxesOfStereos that stores the number
		// of
		// boxes of stereos as type int.
		int boxesOfStereos;

		// Step 1b. Declare a variable called boxesOfTVs that stores the number
		// of
		// boxes of TVs as type int.
		int boxesOfTVs;

		// Step 1c. Assign the value for boxesOfStereos as 20 and boxesOfTVs as 30.
		boxesOfStereos = 20;
		boxesOfTVs = 30;

		// Step 1d. We want to create a virtual Cargo Container in order to
		// store
		// boxes of stereos and TVs. Declare a reference for the class
		// CargoContainer
		// called virtualCargoContainer.
		// (Reference in the book 4.2.1 p. 138 2nd, p. 136 3rd)
		CargoContainer virtualCargoContainer;

		// Step 1e: Now we need to instantiate the CargoContainer.
		// The CargoContainer class has the following two
		// constructors:
		// public CargoContainer()
		// public public CargoContainer(int boxesOfStereos, int boxesOfTVs)
		//
		// Locate these constructors in the CargoContainer API and read about
		// them.
		// To find the CargoContainer API, open the
		// index.html file that is found in this project under the package
		// called doc.
		// Use the second constructor to instantiate CargoContainer. Use the
		// variables boxesOfTVs and boxesOfStereos as arguments.
		// (Reference in the book 4.2.1 p. 141 2nd, p. 139 3rd)
		virtualCargoContainer = new CargoContainer(boxesOfStereos, boxesOfTVs);

		// Step 1f. The class CargoContainer has the following method:
		// public String toProperString()
		// Locate this method in the CargoContainer API and read its
		// description.
		// Use the method to print the value of the virtualCargoContainer
		// variable to the console (where value refers to the value of the
		// contents of the cargo container, not the value of the cargo itself)
		// Note: A box of TV is worth 200 dollars and a box of stereo is worth 100
		// dollar.
		// If the cargo container has 30 boxes of TVs and 20 boxes of stereos then
		// the message should be
		// "The value of my cargo container is $8000.00".
		// (Reference in the book 4.2.2 p. 143 2nd, p. 141 3rd)
		System.out.println("The value of my cargo container is "
				+ virtualCargoContainer.toProperString());

	}
}
